<script setup>
// @ts-nocheck
import 'swiper/css/bundle'

import { Autoplay, Navigation, Pagination } from 'swiper/modules'
import { Swiper, SwiperSlide } from 'swiper/vue'

useSeoMeta({
  title: 'Swiper example',
})

const modules = [Autoplay, Navigation, Pagination]
</script>

<template>
  <div class="relative">
    <div class="sticky left-0 right-0 top-0 z-100 flex items-center gap-4 bg-light p-2 shadow dark:bg-dark dark:color-light">
      <RouterLink class="absolute flex items-center gap-2 rounded bg-green/25 p-2 transition hover:bg-green/50" to="/examples">
        <i class="i-carbon-arrow-left"></i>
        Back
      </RouterLink>
      <h2 class="flex-grow py-2 text-center text-2xl">
        Swiper
      </h2>
    </div>
    <div class="h-screen bg-red/10">
      <h2 class="py-2 text-center text-2xl">
        Basic
      </h2>
      <Swiper :slides-per-view="3">
        <SwiperSlide v-for="n in 10" :key="n">
          <img class="h-75vh w-full object-cover" :src="`https://picsum.photos/1024/768?random=${n}`" :alt="`image-${n}`" />
        </SwiperSlide>
      </Swiper>
    </div>
    <div class="h-screen bg-green/10">
      <h2 class="py-2 text-center text-2xl">
        Auto Play
      </h2>
      <Swiper autoplay :slides-per-view="3" :modules="modules">
        <SwiperSlide v-for="n in 10" :key="n">
          <img class="h-75vh w-full object-cover" :src="`https://picsum.photos/1024/768?random=${n}`" :alt="`image-${n}`" />
        </SwiperSlide>
      </Swiper>
    </div>
    <div class="h-screen bg-blue/10">
      <h2 class="py-2 text-center text-2xl">
        With navigation
      </h2>
      <Swiper :slides-per-view="3" :modules="modules" navigation>
        <SwiperSlide v-for="n in 10" :key="n">
          <img class="h-75vh w-full object-cover" :src="`https://picsum.photos/1024/768?random=${n}`" :alt="`image-${n}`" />
        </SwiperSlide>
      </Swiper>
    </div>
  </div>
</template>
